%global __requires_exclude_from %{_docdir}/%{name}

Summary:	Digital thermometer using DS1820 1-wire sensors
Name:		digitemp
Version:	3.7.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Monitoring
URL:		https://www.digitemp.com/
Source0:	https://github.com/bcl/digitemp/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	http://www.brianlane.com/linux/dthowto.txt
Source2:	DS9097_Schematic.gif
BuildRequires:	pkgconfig(libusb)
#BuildRequires:	lockdev-devel

%description
DigiTemp is a simple to use interface to the Dallas Semiconductor DS18S20,
DS1822, and DS18B20 1-wire digital temperature sensors. You can use DigiTemp
in a wide variety of applications, such as heating control, process monitoring,
weather station, indor/outdoor temperature logging, etc. It includes a couple
of useful Perl, Python and RRD Tool scripts for crating graphs and dynamic
signatures.

%prep

%setup -q

cp %{SOURCE1} %{SOURCE2} .

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog
touch -c -r ChangeLog ChangeLog.utf8
mv -f ChangeLog.utf8 ChangeLog

%build
%set_build_flags

%make ds9097

%make clean
%make ds9097u

%make clean
%make ds2490

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -pm0755 digitemp_DS* %{buildroot}%{_bindir}/
install -pm0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc CREDITS DS9097_S* FAQ README TODO dthowto.txt perl python rrdb
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.7.2-2.mga8
+ Revision: 1520585
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Dec 02 2018 wally <wally> 3.7.2-1.mga7
+ Revision: 1337554
- new version 3.7.2

* Sun Sep 23 2018 umeabot <umeabot> 3.7.1-12.mga7
+ Revision: 1297446
- Mageia 7 Mass Rebuild

* Sun Dec 13 2015 wally <wally> 3.7.1-11.mga6
+ Revision: 910184
- new version 3.7.1
- update source url
- drop unneeded patches
- exclude docs from requires

* Wed Oct 15 2014 umeabot <umeabot> 3.6.0-10.mga5
+ Revision: 740462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.0-9.mga5
+ Revision: 678745
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 3.6.0-8.mga5
+ Revision: 643473
- switch to pkgconfig() style BRs

* Fri Jun 27 2014 wally <wally> 3.6.0-6.mga5
+ Revision: 640379
- BR libusb0.1-devel instead of libusb-devel

* Fri Oct 18 2013 umeabot <umeabot> 3.6.0-5.mga4
+ Revision: 503812
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.6.0-4.mga3
+ Revision: 348796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 08 2011 wally <wally> 3.6.0-3.mga1
+ Revision: 980
- imported package digitemp


* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 3.6.0-3mdv2011.0
+ Revision: 600152
- run 'make clean' after each make (fedora bug #517284)

* Sun Jan 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.0-2mdv2010.1
+ Revision: 492813
- rebuild

* Mon Jun 01 2009 Jani Välimaa <wally@mandriva.org> 3.6.0-1mdv2010.0
+ Revision: 381921
- New version 3.6.0
- Added format-security patch

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.5.0-4mdv2009.0
+ Revision: 244336
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.5.0-2mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.0-2mdv2008.0
+ Revision: 79232
- rebuild


* Tue Jan 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.0-1mdv2007.0
+ Revision: 103115
- 3.5.0

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.4.0-1mdv2007.1
+ Revision: 101640
- Import digitemp

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 3.4.0-1mdk
- initial Mandriva package (PLD import)

